Modify

Opened 7 months ago

Closed 6 months ago

Last modified 6 months ago

#13632 closed defect (fixed)

Not working on Trac 1.4

Reported by: Jun Omae Owned by: Jun Omae
Priority: normal Component: ExcelDownloadPlugin
Severity: normal Keywords:
Cc: Trac Release: 1.4

Description

17:40:24 Trac[env] ERROR: Component <Component tracexceldownload.translation.TranslationModule> failed with
Traceback (most recent call last):
  File "/venv/trac/1.4/local/lib/python2.7/site-packages/trac/env.py", line 387, in component_guard
    yield
  File "/venv/trac/1.4/local/lib/python2.7/site-packages/trac/env.py", line 750, in needs_upgrade
    if participant.environment_needs_upgrade():
TypeError: environment_needs_upgrade() takes exactly 2 arguments (1 given)
17:40:24 Trac[env] ERROR: Exception caught while checking for upgrade: TracError: Unable to check for upgrade of tracexceldownload.translation.TranslationModule: TypeError: environment_needs_upgrade() takes exactly 2 arguments (1 given)
17:43:33 Trac[loader] ERROR: Skipping "tracexceldownload.ticket = tracexceldownload.ticket": ImportError: cannot import name Context

Attachments (0)

Change History (2)

comment:1 Changed 6 months ago by Jun Omae

Resolution: fixed
Status: assignedclosed

In 17570:

ExcelDownloadPlugin: add 1.0 directory for Trac 1.0, 1.2, 1.4 and later (closes #13632)

comment:2 Changed 6 months ago by Jun Omae

In 17571:

ExcelDownloadPlugin: fix a TypeError raised while upgrade checking on Trac 1.4 (refs #13632)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Jun Omae.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.